Skip to main content
GET
/
forms
Typescript (SDK)
import { Crevio } from "@crevio/sdk";

const crevio = new Crevio({
  apiKey: process.env["CREVIO_API_KEY"] ?? "",
});

async function run() {
  const result = await crevio.forms.list({});

  console.log(result);
}

run();
{
  "data": [
    {
      "id": "<string>",
      "object": "<string>",
      "name": "<string>",
      "settings": {},
      "tag_ids": [
        123
      ],
      "archived_at": "2023-11-07T05:31:56Z",
      "created_at": "2023-11-07T05:31:56Z",
      "updated_at": "2023-11-07T05:31:56Z",
      "confirmation_required": true,
      "form_fields": [
        {
          "id": "<string>",
          "object": "<string>",
          "name": "<string>",
          "required": true,
          "position": 123,
          "options": [
            "<string>"
          ]
        }
      ]
    }
  ],
  "has_more": true,
  "url": "<string>"
}

Documentation Index

Fetch the complete documentation index at: https://docs.crevio.co/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

API key in the format: Bearer {api_token}

Query Parameters

starting_after
string

Cursor for pagination — the ID of the last item in the previous page

limit
integer
default:20

Items per page

Required range: 1 <= x <= 100

Response

List of forms

object
enum<string>
required
Available options:
list
data
object[]
required
has_more
boolean
required
url
string
required